#################################################
#
# Power analysis based on the re-estimated SIENA results
#
# For the SIENA power study paper; case study 2
#
#
# Christoph Stadtfeld
# 30 May 2014
##################################################

library("RSiena")



isSignificant <- function(result, index){
    est <- result$theta[index]
    sd <-  sqrt(diag(result$covtheta))[index]
    if( abs(est/sd) >= qnorm(0.975) )
        return(TRUE)
    else
        return(FALSE)
}

resPath <- "results.millipede/"
nResults <- 0
nSigSelection <- 0
nSigInfluence <- 0
levels <- c(0, 0.05, 0.1)
pT <- levels[2]
pM <- levels[3]

for (sId in 1:200){
    #for (pT in c(0,0.05,0.1)){
    #     for (pM in c(0,0.05,0.1)){
             fileName <- paste0("t",pT,"-m",pM,"/result-",sId,".RData")
             if (!file.exists(paste0(resPath, fileName))){
                 print(paste0("File not found: ", resPath, fileName))
                 flush.console()
             }
             else{
                 nResults <- nResults + 1
                 rm(result)
                 load(file = paste0(resPath, fileName))
                 if (isSignificant(result, 15) ) nSigSelection <- nSigSelection + 1
                 if (isSignificant(result, 29) ) nSigInfluence <- nSigInfluence + 1
             }
        # }
    # }
}
nSigSelection / nResults
nSigInfluence / nResults
