##################################################
#
# Estimating a base line SIENA model that later inspires
# the simulation of the data
#
# META ANALYSIS
#
# This file is calls a SIENA file
# with global variable classID set to identify the class
#
# Christoph Stadtfeld
# 2. September, 2013
####################################################3

library(RSiena)
library(igraph)

# Creating list variables
classIds <- c(1,3,4,6) # according to baerveldth1346.csv
classIds <- c(1, 3, 4, 6, 7, 8, 9, 10, 11, 13) # 10 classes
#classIds <- c(1, 3, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23) # all 19 classes

results <- list()

for (i in 1:length(classIds)){
    classID <- classIds[i]
    cat(paste("Processing class ID", classID))
    source("real_data_siena_oneclass.R")
    results[[i]] <- result
}

## WARNING: Last class room model did not converge!

save(file = "results_for_meta-analysis.RData", results)

load(file = "results_for_meta-analysis.RData")

## META ANALYSIS
meta.result <- siena08(results[[1]],
                       results[[2]],
                       results[[3]],
                       results[[4]],
                       results[[5]],
                       results[[6]],
                       results[[7]],
                       results[[8]],
                       results[[9]],
                       maxit = 1000
                       )
