#################################################
#
# Simulate SIENA model based on simulated data
# for second case study in the SIENA design paper
# using the intital data and empirical specifications vom Baerveldt et al. 2008, p. 573
#
# loads the SIENA source file with three variables pre-loaded
#
# A simulation ID, a turnover rate and a missing rate need to be specified
#
# Christoph Stadtfeld
# 27 May 2013
##################################################

simulationId <- NULL
pTurnover <- NULL
pMissing <- NULL
dataPath <- "tmp/"

for (sId in 1:200){
    for (pT in c(0,0.05,0.1)){
         for (pM in c(0,0.05,0.1)){
             print(paste("Re-estimating simulation", sId, ", missing:", pM, ", turnover:", pT))
             flush.console()

             simulationId <<- sId
             pTurnover <<- pT
             pMissing <<- pM
             source("simulated_data_siena.R")

             # save result, use new variable dataPath from script
             save(result, file = paste0(dataPath, "result-",sId,".RData"))
         }
     }
}
